CVE-2021-31805:Apache Struts2远程代码执行漏洞通告

阅读量    117513 |

分享到: QQ空间 新浪微博 微信 QQ facebook twitter

 

0x01   漏洞简述

2022年04月13日,360CERT监测发现Apache官方发布了Apache Struts2的风险通告,漏洞编号为CVE-2021-31805,漏洞等级:高危,漏洞评分:8.5

Apache Struts 2是一个用于开发Java EE网络应用程序的开放源代码网页应用程序架构。它利用并延伸了Java Servlet API,鼓励开发者采用MVC架构。

对此,360CERT建议广大用户及时将Apache Struts2升级到最新版本。与此同时,请做好资产自查以及预防工作,以免遭受黑客攻击。

 

0x02   风险等级

360CERT对该漏洞的评定结果如下

评定方式 等级
威胁等级 高危
影响面 广泛
攻击者价值
利用难度
360CERT评分 8.5

 

0x03   漏洞详情

CVE-2021-31805: Apache Struts2代码执行漏洞

CVE: CVE-2021-31805

组件: Struts2

漏洞类型: 代码执行

影响: 代码执行

简述: 由于对CVE-220-17530的修复不完整,导致输入验证不正确。如果开发人员使用 %{…} 语法应用强制 OGNL 评估,标签的一些属性仍然可以执行双重评估。对不受信任的用户输入使用强制 OGNL 评估可能会导致远程代码执行。

 

0x04   影响版本

组件 影响版本 安全版本
Apache Struts2 2.0.0 ~ 2.5.29 >= 2.5.30

 

0x05   修复建议

通用修补建议

根据影响版本中的信息,排查并升级到安全版本

临时修补建议

避免对不受信任的用户输入使用强制 OGNL 评估。

 

0x06   产品侧解决方案

若想了解更多产品信息或有相关业务需求,可移步至http://360.net。

360安全分析响应平台

360安全大脑的安全分析响应平台通过网络流量检测、多传感器数据融合关联分析手段,对该类漏洞的利用进行实时检测和阻断,请用户联系相关产品区域负责人获取对应产品。

360安全卫士

Windows用户可通过360安全卫士实现对应补丁安装、漏洞修复、恶意软件查杀,其他平台的用户可以根据修复建议列表中的安全建议进行安全维护。

360CERT建议广大用户使用360安全卫士定期对设备进行安全检测,以做好资产自查以及防护工作。

360安全卫士团队版

用户可以通过安装360安全卫士并进行全盘杀毒来维护计算机安全。360CERT建议广大用户使用360安全卫士定期对设备进行安全检测,以做好资产自查以及防护工作。

360本地安全大脑

360本地安全大脑是将360云端安全大脑核心能力本地化部署的一套开放式全场景安全运营平台,实现安全态势、监控、分析、溯源、研判、响应、管理的智能化安全运营赋能。360本地安全大脑已支持对相关漏洞利用的检测,请及时更新网络神经元(探针)规则和本地安全大脑关联分析规则,做好防护。

 

0x07   时间线

2022-04-12 Apache官方发布通告

2022-04-13 360CERT发布通告

 

0x08   参考链接

1、 https://cwiki.apache.org/confluence/display/WW/S2-062

2、 https://www.cybersecurity-help.cz/vdb/SB2022041218

分享到: QQ空间 新浪微博 微信 QQ facebook twitter
|推荐阅读
|发表评论
|评论列表
加载更多